Void an invoice
curl --request POST \
--url https://api.contazen.ro/v1/invoices/{id}/void \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.contazen.ro/v1/invoices/{id}/void"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.contazen.ro/v1/invoices/{id}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "inv_1a2b3c4d5e",
"object": "invoice",
"number": "<string>",
"series": "<string>",
"date": "2023-12-25",
"total": 123,
"full_number": "<string>",
"due_date": "2023-12-25",
"client_id": "<string>",
"client": {
"id": "cli_1a2b3c4d5e",
"object": "client",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"cui": "<string>",
"cui_prefix": "<string>",
"rc": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"postal_code": "<string>",
"iban": "<string>",
"bank": "<string>",
"contact_person": "<string>",
"created_at": 123,
"updated_at": 123,
"metadata": {
"invoices_count": 123,
"total_invoiced": 123,
"unpaid_total": 123
},
"stats": {
"total_invoiced": 123,
"total_collected": 123,
"avg_payment_days": 123,
"last_payment": {
"date": 123,
"amount": 123,
"currency": "<string>",
"bill_id": "<string>",
"bill_number": "<string>"
},
"monthly_series": [
{
"label": "Mar 2026",
"year": 123,
"month": 123,
"invoiced": 123,
"collected": 123
}
]
}
},
"currency": "RON",
"exchange_rate": 123,
"subtotal": 123,
"vat_amount": 123,
"subtotal_ron": 123,
"vat_amount_ron": 123,
"total_ron": 123,
"items": [
{
"description": "<string>",
"quantity": 123,
"price": 123,
"id": 123,
"product_id": "<string>",
"description_extended": "<string>",
"vat_rate": 19,
"vat_key": 123,
"unit": "buc",
"ubl_um": "H87",
"ubl_nc": "<string>",
"ubl_cpv": "<string>",
"subtotal": 123,
"vat_amount": 123,
"total": 123,
"save_as_product": true
}
],
"payments": [
{
"id": "<string>",
"object": "payment",
"amount": 123,
"currency": "<string>",
"date": "2023-12-25",
"type_description": "<string>",
"reference": "<string>",
"invoice": {
"id": "<string>",
"number": "<string>",
"total": 123,
"currency": "<string>"
},
"receipt": {
"id": "<string>",
"number": "<string>"
},
"client": {
"id": "<string>",
"name": "<string>"
},
"created_at": 123
}
],
"is_paid": true,
"paid_at": "2023-12-25",
"is_void": true,
"voided_at": "2023-11-07T05:31:56Z",
"void_reason": "<string>",
"is_draft": true,
"is_storno": true,
"storno_for": "<string>",
"payment_method": "<string>",
"notes": "<string>",
"observations": "<string>",
"efactura_enabled": true,
"efactura_submission_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}Invoices
Void Invoice
Void an existing invoice
POST
/
invoices
/
{id}
/
void
Void an invoice
Was this page helpful?
⌘I